PowerPoint Viewer 2007 – can’t load PPTX files

If you load pptx files using PowerPoint Viewer 2007 on XP Embedded or Windows Embedded Standard 2009 you will get the following error message: “This file requires the Compatibility Pack for the 2007 Office system to view its contents”   The reason for this error message is that PowerPoint Viewer 2007 needs the t2embed.dll located